Changes
curl --request GET \
--url https://api.themoviedb.org/3/person/{person_id}/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/person/{person_id}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/person/{person_id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"items": [
{
"action": "added",
"id": "640469b113654500ba4e859a",
"iso_3166_1": "ES",
"iso_639_1": "ca",
"time": "2023-03-05 10:06:41 UTC",
"value": "Thomas \"Tom\" Jeffrey Hanks (Concord, Califòrnia, 9 de juliol de 1956) és un actor de cinema i productor estatunidenc, guanyador dues vegades de l'Oscar al millor actor i considerat un dels més versàtils i talentosos del cinema actual.\n\nHanks és l'actor que més diners ha guanyat de tota la història del cinema amb un total de gairebé sis mil milions de dòlars (setembre 2006). És també copropietari de Playtone, una companyia de producció de pel·lícules."
}
],
"key": "biography"
},
{
"items": [
{
"action": "added",
"id": "640469a7e61e6d00963c33bb",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2023-03-05 10:06:31 UTC",
"value": "ca-ES"
}
],
"key": "translations"
}
]
}PEOPLE
Changes
This endpoint get the recent changes for a person.
GET
/
3
/
person
/
{person_id}
/
changes
Changes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
This refers to a unique identifier assigned to an individual within a database.
Example:
""
Query Parameters
This indicates the end of the date range for the data you want to retrieve
Indicates which page of results to return. Default is the first page (1).
Example:
1
It specifies what date you want the results to start from
Response
200 - application/json
changes
Show child attributes
Show child attributes
Example:
[
{
"items": [
{
"action": "added",
"id": "640469b113654500ba4e859a",
"iso_3166_1": "ES",
"iso_639_1": "ca",
"time": "2023-03-05 10:06:41 UTC",
"value": "Thomas \"Tom\" Jeffrey Hanks (Concord, Califòrnia, 9 de juliol de 1956) és un actor de cinema i productor estatunidenc, guanyador dues vegades de l'Oscar al millor actor i considerat un dels més versàtils i talentosos del cinema actual.\n\nHanks és l'actor que més diners ha guanyat de tota la història del cinema amb un total de gairebé sis mil milions de dòlars (setembre 2006). És també copropietari de Playtone, una companyia de producció de pel·lícules."
}
],
"key": "biography"
},
{
"items": [
{
"action": "added",
"id": "640469a7e61e6d00963c33bb",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2023-03-05 10:06:31 UTC",
"value": "ca-ES"
}
],
"key": "translations"
}
]
⌘I